%{?nodejs_find_provides_and_requires}
%global packagename string.prototype.repeat
%global enable_tests 1
Name:           nodejs-string-dot-prototype-dot-repeat
Version:        0.2.0
Release:        1
Summary:        A robust & optimized `String.prototype.repeat` polyfill
License:        MIT
URL:            https://github.com/mathiasbynens/String.prototype.repeat.git
Source0:        https://github.com/mathiasbynens/String.prototype.repeat/archive/v%{version}.tar.gz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch
BuildRequires:  nodejs-packaging
Requires:       nodejs
%description
A robust & optimized `String.prototype.repeat` polyfill, based on the
ECMAScript 6 specification.

%prep
%autosetup -n String.prototype.repeat-%{version}

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
    %{buildroot}%{nodejs_sitelib}/%{packagename}
%nodejs_symlink_deps
%if 0%{?enable_tests}

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%{__nodejs} tests/tests.js
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE-MIT.txt
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Aug 21 2020 wangyue <wangyue92@huawei.com> - 0.2.0-1
- package init
